## org.apache.lucene.search
Class CheckHits.SetCollector

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.lucene.search.CheckHits.SetCollector

Enclosing class:
  CheckHits

    public static class CheckHits.SetCollector

extends Collector

Just collects document ids into a set.

Constructor Summary
`CheckHits.SetCollector(Set<Integer> bag)`

Method Summary
`boolean` `acceptsDocsOutOfOrder()`
`void` `collect(int doc)`
`void` `setNextReader(AtomicReaderContext context)`
`void` `setScorer(Scorer scorer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckHits.SetCollector

    public CheckHits.SetCollector(Set<Integer> bag)

Method Detail

### setScorer

    public void setScorer(Scorer scorer)
                   throws IOException

  Specified by:
    `setScorer` in class `Collector`
  Throws:
    `IOException`

### collect

    public void collect(int doc)

  Specified by:
    `collect` in class `Collector`

### setNextReader

    public void setNextReader(AtomicReaderContext context)

  Specified by:
    `setNextReader` in class `Collector`

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Specified by:
    `acceptsDocsOutOfOrder` in class `Collector`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.